BDK and RSL10 CMSIS packs compatibility

I’m getting started using the RSL10-SENSE-GEVK kit and using the UserGuide (EVBUM2614)

I’ve run into an issue with compatibility of the CMSIS packs.
I have the following packs installed in Onsemi IDE:

  • OnSemiconductor.BDK 1.19.0, and
  • OnSemiconductor.RSL10 3.7.606.

When I try to copy examples in CMSIS Pack Manager I get the error message:
No compatible version of the pack ‘ONSemiconductor.RSL10’ is found in the range of [3.5.285:3.6.0-rc]

Is there a newer version of OnSemiconductor.BDK that is compatible with OnSemiconductor.RSL10 version 3.7.606?

Or is it possible to download older versions of OnSemiconductor.RSL10 that are compatible?

The link in the user guide (EVBUM2614) page 3 to download B-ID CMSIS pack doesn’t seem to work. The link in the guide is ON Semiconductor: Bluetooth IoT Development Kit (B-IDK). I downloaded OnSemiconductor.BDK from here: Bluetooth® Low Energy IoT Development Kit

@brcarpenter

The latest CMSIS pack for BDK-GEVK is available for download at: Bluetooth® Low Energy IoT Development Kit

onsemi.BDK.1.19.0.pack

Is there a newer version of OnSemiconductor.BDK that is compatible with OnSemiconductor.RSL10 version 3.7.606?

The 3.7.606 version is the latest for RSL10 as of 8/29/2022.

Are you able to copy “Blinky” example ?

and build project in project explorer like in below ?

image

Yes thanks I worked it out.

Right clicking on Example “name” gave me the option to copy the project.
image

Right clicking on the expanded node:
image

Asked we to install compatible packs.

I assume I can ignore the warning:
No compatible version of the pack ‘ONSemiconductor.RSL10’ is found in the range of [3.5.285:3.6.0-rc]

@brcarpenter

I have installed BDK 1.19.0 pack for ics_example.
Build Projects , from project explorer and there are no warning messages .

No requirement to install missing packs.

Once you are able to build project and to get binaries: ics_example .elf file you should be ready to debug project.

image